# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /workspace/conda/recipes/cudf, last modified Wed Oct 12 16:24:21 2022
# ------------------------------------------------

package:
  name: cudf
  version: 22.10.00
source:
  git_url: ../../..
build:
  ignore_run_exports:
    - libcudf
  ignore_run_exports_from:
    - nvcc_linux-aarch64
  number: '0'
  script_env:
    - PARALLEL_LEVEL
    - VERSION_SUFFIX
  string: cuda_11_py38_g8ffe375d85_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.36.1 h026399b_2
    - binutils_linux-aarch64 2.36 h7854541_10
    - bzip2 1.0.8 hf897c2e_4
    - c-ares 1.18.1 hf897c2e_0
    - ca-certificates 2022.9.24 h4fd8a4c_0
    - cmake 3.24.2 hcad14f8_0
    - expat 2.4.9 ha18d298_0
    - gcc_impl_linux-aarch64 9.5.0 h37f5d0c_16
    - gcc_linux-aarch64 9.5.0 hf6054ea_10
    - gxx_impl_linux-aarch64 9.5.0 h37f5d0c_16
    - gxx_linux-aarch64 9.5.0 he16ab35_10
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_13
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.19.3 h750e270_0
    - ld_impl_linux-aarch64 2.36.1 h02ad14f_2
    - libcurl 7.85.0 h22f3f83_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-aarch64 9.5.0 he9ee612_16
    - libgcc-ng 12.1.0 h3242a24_16
    - libgomp 12.1.0 h3242a24_16
    - libnghttp2 1.47.0 h674c3cc_1
    - libsanitizer 9.5.0 h8676aaa_16
    - libssh2 1.10.0 he5a64b1_3
    - libstdcxx-devel_linux-aarch64 9.5.0 he9ee612_16
    - libstdcxx-ng 12.1.0 hd01590b_16
    - libuv 1.44.2 h4e544f5_0
    - libzlib 1.2.12 h4e544f5_4
    - ncurses 6.3 headf329_1
    - nvcc_linux-aarch64 11.5 hd0f3f81_21
    - openssl 3.0.5 h4e544f5_2
    - rhash 1.4.3 h4e544f5_0
    - sed 4.8 ha0d5d3d_0
    - sysroot_linux-aarch64 2.17 h43d7e78_13
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.2.12 h4e544f5_4
    - zstd 1.5.2 hc1e27d5_4
  host:
    - _openmp_mutex 4.5 2_gnu
    - arrow-cpp 9.0.0 py38hb2e2b04_2_cpu
    - aws-c-cal 0.5.11 h76602a3_0
    - aws-c-common 0.6.2 hf897c2e_0
    - aws-c-event-stream 0.2.7 hf314db3_13
    - aws-c-io 0.10.5 h5a3db43_0
    - aws-checksums 0.1.11 hafdcbdd_7
    - aws-sdk-cpp 1.8.186 h3fd84e4_3
    - bzip2 1.0.8 hf897c2e_4
    - c-ares 1.18.1 hf897c2e_0
    - ca-certificates 2022.9.24 h4fd8a4c_0
    - cmake 3.24.2 hcad14f8_0
    - cuda-python 11.7.0 py38hbfd4b83_0
    - cudatoolkit 11.5.1 h506b3e9_9
    - cython 0.29.32 py38h5f8a8d0_0
    - distro 1.6.0 pyhd8ed1ab_0
    - dlpack 0.5 h01db608_0
    - expat 2.4.9 ha18d298_0
    - gflags 2.2.2 h54f1f3f_1004
    - glog 0.6.0 h8ab10f1_0
    - grpc-cpp 1.46.4 hf1f2ea0_7
    - importlib-metadata 4.11.4 py38h2063c64_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.19.3 h7c456eb_0
    - ld_impl_linux-aarch64 2.36.1 h02ad14f_2
    - libabseil 20220623.0 cxx17_h7d90558_4
    - libblas 3.9.0 16_linuxaarch64_openblas
    - libbrotlicommon 1.0.9 h4e544f5_7
    - libbrotlidec 1.0.9 h4e544f5_7
    - libbrotlienc 1.0.9 h4e544f5_7
    - libcblas 3.9.0 16_linuxaarch64_openblas
    - libcrc32c 1.1.2 h01db608_0
    - libcudf 22.10.00 cuda11_g8ffe375d85_0
    - libcurl 7.85.0 h8fd98b7_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libevent 2.1.10 h6aed413_4
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 12.1.0 h3242a24_16
    - libgfortran-ng 12.1.0 he9431aa_16
    - libgfortran5 12.1.0 h41d5c85_16
    - libgomp 12.1.0 h3242a24_16
    - libgoogle-cloud 2.1.0 hf8b63af_1
    - liblapack 3.9.0 16_linuxaarch64_openblas
    - libllvm11 11.1.0 hb2805f8_4
    - libnghttp2 1.47.0 h4173d3e_1
    - libnsl 2.0.0 hf897c2e_0
    - libopenblas 0.3.21 pthreads_h6cb6f83_3
    - libprotobuf 3.20.1 h4dffa80_4
    - librmm 22.10.00 cuda11_g9d5a8c37_0
    - libsqlite 3.39.4 hf9034f9_0
    - libssh2 1.10.0 h4bb3959_3
    - libstdcxx-ng 12.1.0 hd01590b_16
    - libthrift 0.16.0 h81a1a33_2
    - libutf8proc 2.7.0 hf897c2e_0
    - libuuid 2.32.1 hf897c2e_1000
    - libuv 1.44.2 h4e544f5_0
    - libzlib 1.2.12 h4e544f5_4
    - llvmlite 0.39.1 py38hd14ccfc_0
    - lz4-c 1.9.3 h01db608_1
    - make 4.3 h309ac5b_1
    - ncurses 6.3 headf329_1
    - numba 0.56.2 py38h4c0ec4d_1
    - numpy 1.23.3 py38ha80beb7_0
    - openssl 1.1.1q h4e544f5_0
    - orc 1.7.6 h016ce0c_0
    - packaging 21.3 pyhd8ed1ab_0
    - parquet-cpp 1.5.1 2
    - pip 22.2.2 pyhd8ed1ab_0
    - protobuf 3.20.1 py38h5f8a8d0_0
    - pyarrow 9.0.0 py38h016373d_2_cpu
    - pyparsing 3.0.9 pyhd8ed1ab_0
    - python 3.8.13 h023d47c_0_cpython
    - python_abi 3.8 2_cp38
    - re2 2022.06.01 h4de3ea5_0
    - readline 8.1.2 h38e3740_0
    - rhash 1.4.3 h4e544f5_0
    - rmm 22.10.00 cuda11_py38_g9d5a8c37_0
    - s2n 1.0.10 h6aed413_0
    - scikit-build 0.15.0 pyhb871ab6_0
    - setuptools 65.4.1 pyhd8ed1ab_0
    - six 1.16.0 pyh6c4a22f_0
    - snappy 1.1.9 hc7e91e1_1
    - spdlog 1.8.5 hd62202e_1
    - sqlite 3.39.4 h69ca7e5_0
    - tk 8.6.12 hd8af866_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.6 h9cdd2b7_0
    - zipp 3.9.0 pyhd8ed1ab_0
    - zlib 1.2.12 h4e544f5_4
    - zstd 1.5.2 hc1e27d5_4
  run:
    - cachetools
    - cuda-python >=11.5,<11.7.1
    - cudatoolkit >=11,<12.0a0
    - cupy >=9.5.0,<12.0.0a0
    - fastavro >=0.22.0
    - fsspec>=0.6.0
    - libcudf 22.10.00.*
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - numba >=0.56.2
    - numpy
    - nvtx >=0.2.1
    - packaging
    - pandas >=1.0,<1.6.0dev0
    - protobuf>=3.20.1,<3.21.0a0
    - pyarrow >=9.0.0,<9.0.1.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - rmm >=22.10.0,<22.11.0a0
    - typing_extensions
about:
  home: https://rapids.ai/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: cuDF GPU DataFrame core library
extra:
  copy_test_source_files: true
  final: true
